Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 49153)
@@ -20,7 +20,7 @@
 @Component({
     selector: 'search-page',
     templateUrl: 'searchPage.component.html'
-     
+
 })
 export class SearchPageComponent {
   @Input() pageTitle = "";
@@ -118,14 +118,11 @@
   public getQueryParametersFromUrl(params){
     // var parameters = "";
     var allFqs = "";
-
+    this.queryParameters = new Map<string,string>();
     for(var i=0; i< this.refineFields.length ; i++){
          var filterId =  this.refineFields[i];
 
           if(params[filterId] != undefined) {
-            if(this.queryParameters == undefined){
-              this.queryParameters = new Map<string,string>();
-            }
              this.queryParameters[filterId]=StringUtils.URIDecode(params[filterId]);
              let values = (StringUtils.URIDecode(this.queryParameters[filterId])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/,-1);
              var countvalues = 0;
@@ -175,9 +172,6 @@
         var filterId =  this.refineFields[i];
         var fq = "";
          if(params[filterId] != undefined) {
-           if(this.queryParameters == undefined){
-             this.queryParameters = new Map<string,string>();
-           }
             this.queryParameters[filterId]=decodeURIComponent(params[filterId]);
             let values = (decodeURIComponent(this.queryParameters[filterId])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/,-1);
             var countvalues = 0
@@ -251,11 +245,13 @@
     this.baseURLWithParameters = this.baseUrl + this.createUrlParameters(filters,false);
 
   }
+
   /*
   *
   */
   private createUrlParameters(filters:Filter[], includePage:boolean){
     var allLimits="";//location.search.slice(1);
+    this.queryParameters = new Map<string,string>();
     this.parameterNames.splice(0,this.parameterNames.length);
     this.parameterValues.splice(0,this.parameterValues.length);
 
@@ -413,7 +409,6 @@
   goTo(page:number = 1){
     this.searchUtils.page = page;
     console.info("searchUtils.page goto = "+this.searchUtils.page);
-    this.queryParameters = new Map<string,string>();
     var urlParameters = this.createUrlParameters(this.filters,true);
     console.info("urlParams : "+urlParameters);
     this.updateBaseUrlWithParameters(this.filters);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 49153)
@@ -37,7 +37,8 @@
     private static metricsAPIURL = "https://beta.services.openaire.eu/usagestats/";
     private static framesAPIURL = "https://beta.openaire.eu/stats3/";
 
-    private static loginAPIURL = "http://scoobydoo.di.uoa.gr:8080/uoa-user-management-1.0.0-SNAPSHOT/api/users/authenticates";
+    private static loginAPIURL = "http://rudie.di.uoa.gr:8080/dnet%2Dopenaire%2Dusers%2D1.0.0%2DSNAPSHOT/api/users/authenticates"
+    //"http://scoobydoo.di.uoa.gr:8080/uoa-user-management-1.0.0-SNAPSHOT/api/users/authenticates";
     private static loginAPIURL_pm = "https://beta.services.openaire.eu/uoa-user-management/api/users/authenticates";
 
     private static claimsAPIURL = "http://scoobydoo.di.uoa.gr:8080/dnet-claims-service-2.0.0-SNAPSHOT/rest/claimsService/";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.html	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/datasets/depositBySubjectResult.component.html	(revision 49153)
@@ -68,11 +68,11 @@
             </div>
             <helper position="right" styleName=" uk-width-1-5"></helper>
       </div>
-      <helper position="bottom"></helper>
 
-        <button class=" uk-button uk-button-default"  type="submit" (click)="goToDeposit()">
+        <button class=" uk-button uk-button-default uk-margin-small-top"  type="submit" (click)="goToDeposit()">
             <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="chevron-left" ratio="1"><polyline fill="none" stroke="#000" stroke-width="1.03" points="13 16 7 10 13 4"></polyline></svg></span> Back
         </button>
+        <helper position="bottom"></helper>
     </div>
     </div>
   </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 49153)
@@ -115,10 +115,10 @@
               </div>
               <helper position="right" styleName=" uk-width-1-5"></helper>
             </div>
-            <helper position="bottom"></helper>
-            <button class=" uk-button uk-button-default"  type="submit" (click)="goToDeposit()">
+            <button class=" uk-button uk-button-default uk-margin-small-top"  type="submit" (click)="goToDeposit()">
                 <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="chevron-left" ratio="1"><polyline fill="none" stroke="#000" stroke-width="1.03" points="13 16 7 10 13 4"></polyline></svg></span> Back
             </button>
+            <helper position="bottom"></helper>
         </div>
         </div>
       </div>
@@ -211,7 +211,7 @@
 
         this._organizationService.getOrganizationInfo(this.organizationId).subscribe(
             data => {
-                this.organization = data.title;
+                this.organization = (data && data.title)?data.title:"";
                 this.status = this.errorCodes.DONE;
                 this.searchDataproviders();
             },
Index: modules/uoa-services-portal/trunk/portal-2/src/app/login/utils/helper.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/login/utils/helper.class.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/login/utils/helper.class.ts	(revision 49153)
@@ -50,7 +50,7 @@
               loggedIn = false;
             }
           }else{
-            if(cookie != null && this.getUserFromCookie()!= null){              
+            if(cookie != null && this.getUserFromCookie()!= null){
                loggedIn = true
             }else{
               loggedIn = false;
@@ -129,7 +129,7 @@
       var isAdmin = false;
       if(Session.isLoggedIn()){
         var claimRoles = ["urn:mace:openminted.eu:aai.openminted.eu:group:OpenAIRE+Curator+-+Claim","urn:mace:openminted.eu:aai.openminted.eu:group:OpenAIRE+Portal+Administrator"]
-
+        console.log(Session.getUser().role);
         for (var i = 0; i < claimRoles.length; i++) {
             if ((Session.getUser().role).indexOf(claimRoles[i]) > -1) {
                 isAdmin = true;
@@ -147,6 +147,7 @@
       if(Session.isLoggedIn()){
         var claimRoles = ["urn:mace:openminted.eu:aai.openminted.eu:group:Registered+User"];
         for (var i = 0; i < claimRoles.length; i++) {
+          console.log(Session.getUser().role);
             if ((Session.getUser().role).indexOf(claimRoles[i]) > -1) {
                 isRegisteredUser = true;
                 break;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/login/user.component.ts	(revision 49153)
@@ -44,6 +44,9 @@
         this.loggedIn = Session.isLoggedIn();
         this.user = Session.getUser();
         this.errorMessage = "";
+        if(this.loggedIn){
+          this.redirect();
+        }
       });
     }
     ngOnDestroy(){
@@ -85,7 +88,7 @@
           this.router.navigate([baseUrl]);
         }
       }else{
-        this.router.navigate(['/search/find']);
+        this.router.navigate(['/']);
       }
     }
     // login() {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/displayClaims/displayClaims.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/displayClaims/displayClaims.component.html	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/displayClaims/displayClaims.component.html	(revision 49153)
@@ -11,7 +11,7 @@
         <div class="-row">
             <span class="uk-text-bold">Filter By:</span>
             <input type="text" class=" uk-input form-control" placeholder="Search for keywords in titles ..." aria-describedby="sizing-addon2"  [(ngModel)]="inputkeyword"  (keyup)="changekeyword()" name="claims-keyword" ></div>
-        <div class="-row">
+        <div class="uk-margin-small-top">
           <label> <input [(ngModel)]="projectCB" type="checkbox" (ngModelChange)="changeType()"  name="project"  />
             <span class="uk-margin-small-right uk-icon"  ><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" ratio="1"><rect x="5" y="2" width="10" height="1"></rect><rect x="3" y="4" width="14" height="1"></rect><rect fill="none" stroke="#000" x="1.5" y="6.5" width="17" height="11"></rect></svg></span>
             Project </label>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.module.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.module.ts	(revision 49153)
@@ -16,14 +16,17 @@
 import {LoginGuard} from'../../login/loginGuard.guard';
 import {PreviousRouteRecorder} from '../../utils/piwik/previousRouteRecorder.guard';
 import {HelperModule} from '../../utils/helper/helper.module';
+import {ClaimContextSearchFormModule} from '../claim-utils/claimContextSearchForm.module';
+import {ClaimProjectsSearchFormModule} from '../claim-utils/claimProjectSearchForm.module';
+import {ClaimResultSearchFormModule} from '../claim-utils/claimResultSearchForm.module';
 
 
-
 @NgModule({
   imports: [
     SharedModule,
     DirectLinkingRoutingModule,SelectedProjectsModule, SelectedContextsModule, SelectedPublicationsModule, InsertClaimsModule,
-    EntitySearchServiceModule, PublicationsServiceModule, DatasetsServiceModule, StartOverModule, HelperModule
+    EntitySearchServiceModule, PublicationsServiceModule, DatasetsServiceModule, StartOverModule, HelperModule,
+    ClaimContextSearchFormModule, ClaimProjectsSearchFormModule, ClaimResultSearchFormModule
 
 
   ],
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.html	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.html	(revision 49153)
@@ -0,0 +1,118 @@
+<div id="tm-main" class=" uk-section  uk-margin-small-top tm-middle"   >
+  <div uk-grid uk-grid>
+   <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">
+
+<div class="uk-container uk-margin-top">
+  <div class="uk-article-title">
+        Link
+  </div>
+  <div class="uk-width-1-1">
+    <helper position="top"></helper>
+  </div>
+  <div class="uk-grid  helper-grid">
+    <helper position="left" styleName=" uk-width-1-5 uk-padding-left"></helper>
+    <div class="uk-width-expand">
+      <div *ngIf="validInput != null && !validInput" class="uk-alert uk-alert-warning" role="alert">No valid arguments provided in order to start linking openAIRE entities. </div>
+      <div *ngIf="validInput != null && validInput">
+      <!--div class="uk-clearfix">
+          <a  class="uk-float-right" uk-toggle="target: #linkingInfo; animation:  uk-animation-fade"><span class="uk-icon">
+            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="info" ratio="1"><path d="M12.13,11.59 C11.97,12.84 10.35,14.12 9.1,14.16 C6.17,14.2 9.89,9.46 8.74,8.37 C9.3,8.16 10.62,7.83 10.62,8.81 C10.62,9.63 10.12,10.55 9.88,11.32 C8.66,15.16 12.13,11.15 12.14,11.18 C12.16,11.21 12.16,11.35 12.13,11.59 C12.08,11.95 12.16,11.35 12.13,11.59 L12.13,11.59 Z M11.56,5.67 C11.56,6.67 9.36,7.15 9.36,6.03 C9.36,5 11.56,4.54 11.56,5.67 L11.56,5.67 Z"></path><circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle></svg>
+            </span> More Information </a>
+      </div>
+      <div id="linkingInfo" class="uk-card uk-card-default uk-card-body uk-margin-small" hidden>
+          <a uk-toggle="target: #linkingInfo; animation:  uk-animation-fade" class="uk-float-right"><span class="uk-icon">
+      <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="close" ratio="1"><path fill="none" stroke="#000" stroke-width="1.06" d="M16,16 L4,4"></path><path fill="none" stroke="#000" stroke-width="1.06" d="M16,4 L4,16"></path></svg>
+      </span></a>
+           <div class="uk-text-bold"><span class="uk-icon">
+      <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="info" ratio="1"><path d="M12.13,11.59 C11.97,12.84 10.35,14.12 9.1,14.16 C6.17,14.2 9.89,9.46 8.74,8.37 C9.3,8.16 10.62,7.83 10.62,8.81 C10.62,9.63 10.12,10.55 9.88,11.32 C8.66,15.16 12.13,11.15 12.14,11.18 C12.16,11.21 12.16,11.35 12.13,11.59 C12.08,11.95 12.16,11.35 12.13,11.59 L12.13,11.59 Z M11.56,5.67 C11.56,6.67 9.36,7.15 9.36,6.03 C9.36,5 11.56,4.54 11.56,5.67 L11.56,5.67 Z"></path><circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle></svg>
+      </span> Linking Functionality:</div>
+           <p>Through linking functioanilty you are able to create links from {{type}} to {{(linkTo =='context')?"communities/ concepts":((linkTo =='project')?"projects":"research results")}}. You have to select at least one {{(linkTo =='context')?"community/ concept":((linkTo =='project')?"project":"research result")}} in order to be able to proceed.</p>
+
+           <p *ngIf="linkTo=='project'"><span class="uk-text-bold">Projects:</span> Search & add projects using keyword search. Limit the search space by specifying project Funder. </p>
+           <p *ngIf="linkTo=='context'"><span class="uk-text-bold">Communities:</span> Search & add communities/ concepts by selecting community, category and using keyword search for . Or browse through the categories and add communities. </p>
+           <p *ngIf="linkTo=='result'"><span class="uk-text-bold">Research Results:</span> You can search for reasearch results (publication and/ or research data) to link, in openaire, crossref, Orcid, and/ or Datacite. Use search mode, to search and add results through keyword search. Use upload mode, to upload a list of DOIs of results. </p>
+           <p *ngIf="show=='claim' && linkTo=='result'"><span class="uk-text-bold">Review Metadata of research results:</span> The selected research results that came from 3rd party repositories (Datacite, Crossreff, Orcid), need review and change of metadata (such as access mode, and type)  before they are included in openaire information space.
+           Please have in mind that ignoring this step, the research results will get the default values, that may be wrong.
+           </p>
+
+
+
+       </div-->
+       <div *ngIf=" ! (linkTo =='result' && show=='claim') " >
+         <div class="uk-clearfix">
+             <a  class="uk-float-right" uk-toggle="target: #selected; animation:  uk-animation-fade">
+               <span class="uk-icon"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="my-box"  x="0px" y="0px" width="28px" height="28px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve"><g>	<path d="M480,320v128H32V320h78.859l64.016,96h162.25l64-96H480 M384,32H128L0,288v192h512V288L384,32L384,32z M35.781,288l112-224   h216.438l112,224H384l-64,96H192l-64.016-96H35.781L35.781,288z" fill="#b5b5b5"/></g>
+                   </svg>
+                 </span>
+
+                </a>
+         </div>
+         <div id="selected" class="uk-card uk-card-default uk-card-body uk-margin-small" hidden>
+              <claim-selected-projects *ngIf=" linkTo == 'project' "   title="link Projects" [projects]="projects" [show]="show" [linkType]=linkType
+               (showChange)="showChange($event)"   > </claim-selected-projects>
+
+            <claim-selected-contexts *ngIf=" linkTo == 'context' "  title="link Communities" [contexts]="contexts"  [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult" [show]="show" [linkType]=linkType
+            (showChange)="showChange($event)"  > </claim-selected-contexts>
+            <claim-selected-results *ngIf=" linkTo == 'result' "   title= "Selected Research Results" [results]="results"  [bulkMode]="bulkMode" showSearch=false  showAccessRights=false>
+            </claim-selected-results>
+        </div>
+      </div>
+        <div class="uk-text-large">
+              Link {{(type=="project")?'Project':' Research result'}}:
+        </div>
+          <div class="uk-clearfix">
+            <!--start-over [results]="results" [contexts]="contexts" [projects]="projects" [linkTo]="linkTo" [type]="type" ></start-over-->
+          </div>
+            <!-- inline result -->
+              <div *ngIf="displayedResult != null && (type =='publication' || type =='dataset' )" class="uk-padding uk-panel  uk-background-muted">
+                <div class="uk-width-1-1" >
+                    <div>
+                      <a *ngIf="displayedResult.url" target="_blank" href="{{displayedResult.url}}" > <span class="custom-external"></span> {{displayedResult.title}}</a>
+                      <span *ngIf="!displayedResult.url" >{{displayedResult.title}}</span>
+                    </div>
+                    <div *ngIf="displayedResult.result.authors && displayedResult.result.authors.length >0 " class="uk-article-meta">Authors: <span *ngFor="let author of displayedResult.result.authors.slice(0,10) let i = index">{{author.name}}{{(i < (displayedResult.result.authors.slice(0,10).length-1))?"; ":""}}{{(i == displayedResult.result.authors.slice(0,10).length-1 && displayedResult.result.authors.length > 10)?"...":""}}</span></div>
+
+                </div>
+
+            </div>
+            <!-- inline project -->
+            <div *ngIf=" type == 'project' && projects.length > 0 "  class="uk-padding uk-panel  uk-background-muted">
+            {{projects[0].funderName}} | {{projects[0].projectName}} {{(projects[0].projectAcronym)?'('+projects[0].projectAcronym+')':''}}
+
+            </div>
+
+      <!-- search for entity -->
+
+        <div class = "uk-margin-top">
+
+                  <claim-projects-search-form *ngIf=" linkTo =='project'  "    [(selectedProjects)]="projects"    > </claim-projects-search-form>
+
+                  <claim-contexts-search-form   *ngIf=" linkTo =='context'  "   [(selectedList)]="contexts" [projects]="projects" [results]="results" [inlineEntity]="inlineResult" > </claim-contexts-search-form>
+
+                  <claim-result-search-form *ngIf=" linkTo =='result' && show!='claim' "  [selectedResults]="results"   > </claim-result-search-form>
+
+          </div>
+          <div  *ngIf="  show == 'claim'  "  class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l ">
+            <claim-selected-results *ngIf=" linkTo =='result'  "  title= "Selected Research Results" [results]="results"  [bulkMode]=false showSearch = false  showAccessRights = true>
+            </claim-selected-results>
+            <div class="uk-width-1-1  uk-margin-small-top">
+               <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [inlineEntity] = "inlineResult"  [show] = "show"
+                       (showChange)="showChange($event)" ></claim-insert>
+              </div>
+          </div>
+          <ul *ngIf="linkTo == 'result'"  class="uk-pagination">
+            <li  *ngIf="show == 'claim'"  (click)="show='result';"><a><span class="uk-margin-small-right" uk-pagination-previous></span>  Previous</a></li>
+            <li  *ngIf="show != 'claim'"(click)="show='claim';" class="uk-margin-auto-left">
+              <a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a></li>
+          </ul>
+
+
+        </div>
+        </div>
+        <helper position="right" styleName=" uk-width-1-5"></helper>
+    </div>
+    <helper position="bottom"></helper>
+  </div>
+</div>
+</div>
+</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/directLinking/directLinking.component.ts	(revision 49153)
@@ -9,110 +9,7 @@
 
 @Component({
     selector: 'directLinking',
-    template: `
-    <div id="tm-main" class=" uk-section  uk-margin-small-top tm-middle"   >
-      <div uk-grid uk-grid>
-       <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">
-
-    <div class="uk-container uk-margin-top">
-      <div class="uk-article-title">
-            Link
-      </div>
-      <div class="uk-width-1-1">
-        <helper position="top"></helper>
-      </div>
-      <div class="uk-grid  helper-grid">
-        <helper position="left" styleName=" uk-width-1-5 uk-padding-left"></helper>
-        <div class="uk-width-expand">
-          <div *ngIf="validInput != null && !validInput" class="uk-alert uk-alert-warning" role="alert">No valid arguments provided in order to start linking openAIRE entities. </div>
-          <div *ngIf="validInput != null && validInput">
-          <div class="uk-clearfix">
-              <a  class="uk-float-right" uk-toggle="target: #linkingInfo; animation:  uk-animation-fade"><span class="uk-icon">
-                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="info" ratio="1"><path d="M12.13,11.59 C11.97,12.84 10.35,14.12 9.1,14.16 C6.17,14.2 9.89,9.46 8.74,8.37 C9.3,8.16 10.62,7.83 10.62,8.81 C10.62,9.63 10.12,10.55 9.88,11.32 C8.66,15.16 12.13,11.15 12.14,11.18 C12.16,11.21 12.16,11.35 12.13,11.59 C12.08,11.95 12.16,11.35 12.13,11.59 L12.13,11.59 Z M11.56,5.67 C11.56,6.67 9.36,7.15 9.36,6.03 C9.36,5 11.56,4.54 11.56,5.67 L11.56,5.67 Z"></path><circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle></svg>
-                </span> More Information </a>
-          </div>
-          <div id="linkingInfo" class="uk-card uk-card-default uk-card-body uk-margin-small" hidden>
-              <a uk-toggle="target: #linkingInfo; animation:  uk-animation-fade" class="uk-float-right"><span class="uk-icon">
-          <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="close" ratio="1"><path fill="none" stroke="#000" stroke-width="1.06" d="M16,16 L4,4"></path><path fill="none" stroke="#000" stroke-width="1.06" d="M16,4 L4,16"></path></svg>
-          </span></a>
-               <div class="uk-text-bold"><span class="uk-icon">
-          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="info" ratio="1"><path d="M12.13,11.59 C11.97,12.84 10.35,14.12 9.1,14.16 C6.17,14.2 9.89,9.46 8.74,8.37 C9.3,8.16 10.62,7.83 10.62,8.81 C10.62,9.63 10.12,10.55 9.88,11.32 C8.66,15.16 12.13,11.15 12.14,11.18 C12.16,11.21 12.16,11.35 12.13,11.59 C12.08,11.95 12.16,11.35 12.13,11.59 L12.13,11.59 Z M11.56,5.67 C11.56,6.67 9.36,7.15 9.36,6.03 C9.36,5 11.56,4.54 11.56,5.67 L11.56,5.67 Z"></path><circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle></svg>
-          </span> Linking Functionality:</div>
-               <p>Through linking functioanilty you are able to create links from {{type}} to {{(linkTo =='context')?"communities/ concepts":((linkTo =='project')?"projects":"research results")}}. You have to select at least one {{(linkTo =='context')?"community/ concept":((linkTo =='project')?"project":"research result")}} in order to be able to proceed.</p>
-
-               <p *ngIf="linkTo=='project'"><span class="uk-text-bold">Projects:</span> Search & add projects using keyword search. Limit the search space by specifying project Funder. </p>
-               <p *ngIf="linkTo=='context'"><span class="uk-text-bold">Communities:</span> Search & add communities/ concepts by selecting community, category and using keyword search for . Or browse through the categories and add communities. </p>
-               <p *ngIf="linkTo=='result'"><span class="uk-text-bold">Research Results:</span> You can search for reasearch results (publication and/ or research data) to link, in openaire, crossref, Orcid, and/ or Datacite. Use search mode, to search and add results through keyword search. Use upload mode, to upload a list of DOIs of results. </p>
-               <p *ngIf="show=='claim' && linkTo=='result'"><span class="uk-text-bold">Review Metadata of research results:</span> The selected research results that came from 3rd party repositories (Datacite, Crossreff, Orcid), need review and change of metadata (such as access mode, and type)  before they are included in openaire information space.
-               Please have in mind that ignoring this step, the research results will get the default values, that may be wrong.
-               </p>
-
-
-
-           </div>
-                <div class="uk-text-large">
-                  Link {{(type=="project")?'Project':' Research result'}}:
-                </div>
-              <div class="uk-clearfix">
-                <!--start-over [results]="results" [contexts]="contexts" [projects]="projects" [linkTo]="linkTo" [type]="type" ></start-over-->
-              </div>
-                <!-- inline result -->
-                  <div *ngIf="displayedResult != null && (type =='publication' || type =='dataset' )" class="uk-padding uk-panel  uk-background-muted">
-                    <div class="uk-width-1-1" >
-                        <div>
-                          <a *ngIf="displayedResult.url" target="_blank" href="{{displayedResult.url}}" > <span class="custom-external"></span> {{displayedResult.title}}</a>
-                          <span *ngIf="!displayedResult.url" >{{displayedResult.title}}</span>
-                        </div>
-                        <div *ngIf="displayedResult.result.authors && displayedResult.result.authors.length >0 " class="uk-article-meta">Authors: <span *ngFor="let author of displayedResult.result.authors.slice(0,10) let i = index">{{author.name}}{{(i < (displayedResult.result.authors.slice(0,10).length-1))?"; ":""}}{{(i == displayedResult.result.authors.slice(0,10).length-1 && displayedResult.result.authors.length > 10)?"...":""}}</span></div>
-
-                    </div>
-
-                </div>
-                <!-- inline project -->
-                <div *ngIf=" type == 'project' && projects.length > 0 "  class="uk-padding uk-panel  uk-background-muted">
-                {{projects[0].funderName}} | {{projects[0].projectName}} {{(projects[0].projectAcronym)?'('+projects[0].projectAcronym+')':''}}
-
-                </div>
-                <hr>
-
-          <!-- search for entity -->
-
-            <div class = "uk-margin-top">
-
-                      <div  *ngIf=" linkTo =='context'  "  >
-                            <claim-selected-contexts title="with Communities"  [contexts]="contexts" [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult"  [show]="show" [linkType]=linkType
-                             (showChange)="showChange($event)"  > </claim-selected-contexts>
-                      </div>
-                      <div  *ngIf=" linkTo =='project'  "  >
-                             <claim-selected-projects  title="with Projects"  [projects]="projects" [show]="show" [linkType]=linkType
-                               (showChange)="showChange($event)"   > </claim-selected-projects>
-                      </div>
-                      <claim-selected-results *ngIf=" linkTo =='result'  " title="with other Research Results"   [results]="results"    [showSearch]="show=='claim'? false: true"  [showAccessRights]="show=='claim'? true: false"
-                                      [bulkMode]=false>
-                      </claim-selected-results>
-
-              </div>
-              <div  *ngIf="  show == 'claim'  "  class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l uk-grid">
-                <div class="uk-width-1-1  ">
-                   <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [inlineEntity] = "inlineResult"  [show] = "show"
-                           (showChange)="showChange($event)" ></claim-insert>
-                  </div>
-              </div>
-              <ul *ngIf="linkTo == 'result'"  class="uk-pagination">
-                <li  *ngIf="show == 'claim'"  (click)="show='result';"><a><span class="uk-margin-small-right" uk-pagination-previous></span>  Previous</a></li>
-                <li  *ngIf="show != 'claim'"(click)="show='claim';" class="uk-margin-auto-left uk-width-1-1"><a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a></li>
-              </ul>
-            </div>
-            </div>
-            <helper position="right" styleName=" uk-width-1-5"></helper>
-        </div>
-        <helper position="bottom"></helper>
-      </div>
-</div>
-</div>
-</div>
-`
-
+    templateUrl: 'directLinking.component.html'
 })
 export class DirectLinkingComponent {
   contexts=[];
@@ -284,15 +181,8 @@
 
 
 
-  resultsChange($event) {
-    this.results=$event.value;
-  }
 
-  projectsChange($event) {
-    this.projects=$event.value;
-  }
 
 
 
-
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/selected/selectedResults.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/selected/selectedResults.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/selected/selectedResults.component.ts	(revision 49153)
@@ -90,7 +90,7 @@
 
 
                      <td *ngIf="showAccessRights  && pub.source == 'openaire' "  >
-                           Currently you cannot change metadata from openaire
+                           Currently you cannot change metadata from OpenAIRE
 
                     </td>
                  </tr>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.html	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.html	(revision 49153)
@@ -0,0 +1,144 @@
+<div id="tm-main" class=" uk-section  uk-margin-small-top tm-middle"   >
+  <div uk-grid uk-grid>
+   <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">
+
+<div class="uk-container uk-margin-top">
+<div class="uk-article-title">
+    Link
+</div>
+
+<div class="uk-width-1-1">
+  <helper position="top"></helper>
+</div>
+<div class="uk-grid  helper-grid">
+  <helper position="left" styleName=" uk-width-1-5 uk-padding-left"></helper>
+  <div class="uk-width-expand">
+
+      <ul class="uk-breadcrumb">
+          <li  [class]="(step==1)?'uk-active':''" ><a (click)="step=1;"><span class="step uk-text-large">1</span> Select Projects <span  >or  Communities <span ></span></span></a></li>
+           <li [class]="(step==2)?'uk-active':''" ><a  (click)="step=2;"><span class="step uk-text-large">2</span> Select Research Results <span ></span></a></li>
+          <li [class]="(step==3)?'uk-active':''" (click)="step=3;"><a [class]="(results.length == 0)?'uk-disabled':''"  (click)="show='claim';" ><span class="step uk-text-large">3</span> Review metadata</a></li>
+      </ul>
+      <!--start-over [results]="results" [contexts]="contexts" [projects]="projects" ></start-over-->
+      <div class="uk-clearfix">
+          <a  class="uk-float-right" uk-toggle="target: #selected; animation:  uk-animation-fade">
+            <span class="uk-icon"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="my-box"  x="0px" y="0px" width="28px" height="28px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve"><g>	<path d="M480,320v128H32V320h78.859l64.016,96h162.25l64-96H480 M384,32H128L0,288v192h512V288L384,32L384,32z M35.781,288l112-224   h216.438l112,224H384l-64,96H192l-64.016-96H35.781L35.781,288z" fill="#b5b5b5"/></g>
+                </svg>
+              </span>
+
+             </a>
+      </div>
+      <div id="selected" class="uk-card uk-card-default uk-card-body uk-margin-small" hidden>
+      <!--Close Button -->
+        <!--div class="uk-clearfix">
+         <a uk-toggle="target: #selected; animation:  uk-animation-fade" class="uk-float-right">
+            <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="close" ratio="1"><path fill="none" stroke="#000" stroke-width="1.06" d="M16,16 L4,4"></path><path fill="none" stroke="#000" stroke-width="1.06" d="M16,4 L4,16"></path></svg>
+        </span></a>
+      </div-->
+
+
+          <claim-selected-projects   title="link Projects" [projects]="projects" [show]="show" [linkType]=linkType
+            (showChange)="showChange($event)"   > </claim-selected-projects>
+
+         <claim-selected-contexts  title="link Communities" [contexts]="contexts"  [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult" [show]="show" [linkType]=linkType
+         (showChange)="showChange($event)"  > </claim-selected-contexts>
+         <claim-selected-results *ngIf="step!=3"  title= "Selected Research Results" [results]="results"  [bulkMode]="bulkMode" showSearch=false  showAccessRights=false>
+         </claim-selected-results>
+     </div>
+
+
+
+        <!--ul class="uk-pagination uk-margin-remove-bottom">
+            <li  *ngIf="show != 'result' " (click)="prev()"><a><span class="uk-margin-small-right" uk-pagination-previous></span> Previous</a></li>
+            <li *ngIf="show != 'claim' " (click)="next()"  class="uk-margin-auto-left"><a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a></li>
+            <li  *ngIf="show == 'claim' " (click)="next()"  class="uk-margin-auto-left">
+            <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [show] = "show"
+              (showChange)="showChange($event)" ></claim-insert>
+
+            </li>
+        </ul-->
+
+        <!-- link with Projects & Contexts -->
+                <!--div class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l uk-grid">
+                   <div class="uk-width-1-1@s uk-width-1-2@m uk-width-1-2@l uk-width-1-2@xl "-->
+                <div *ngIf="step==1">
+                   <ul class=" uk-tab " uk-tab="connect: #tabs; animation: uk-animation-fade">
+                           <li>
+                              <a>Projects ({{projects.length}})</a>
+                          </li>
+                          <li>
+                             <a>Communities ({{contexts.length}})</a>
+                         </li>
+                    </ul>
+                    <ul id="tabs" class="uk-switcher uk-margin-left uk-width-1-1">
+                      <li>
+                           <!--claim-selected-projects   title="link Projects" [projects]="projects" [show]="show" [linkType]=linkType
+                             (showChange)="showChange($event)"   > </claim-selected-projects-->
+                               <claim-projects-search-form     [(selectedProjects)]="projects"    > </claim-projects-search-form>
+                     </li>
+                      <li>
+                          <!--claim-selected-contexts  title="link Communities" [contexts]="contexts"  [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult" [show]="show" [linkType]=linkType
+                          (showChange)="showChange($event)"  > </claim-selected-contexts-->
+                          <claim-contexts-search-form    [(selectedList)]="contexts" [projects]="projects" [results]="results" [inlineEntity]="inlineResult" > </claim-contexts-search-form>
+                      </li>
+                  <!--/div>
+                  <div class="uk-width-1-1@s uk-width-1-2@m uk-width-1-2@l uk-width-1-2@xl "-->
+
+              </ul>
+            </div>
+                  <!--/div-->
+                <!--/div-->
+        <!--hr-->
+        <!-- Research Results -->
+
+        <div *ngIf="step==2 ">
+            <div  class="uk-width-1-1     ">
+              <div class=" uk-padding-small uk-padding-remove-bottom  uk-panel uk-background-muted ">
+              <span *ngIf="bulkMode"   class=" uk-animation uk-float-right">
+                <span   title= "Bulk mode"><i  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></i></span>
+                <a   title= "Switch to Search mode"  (click)="bulkMode = !bulkMode;"> <span class="uk-icon">
+                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
+                    </span></a>
+              </span>
+              <span *ngIf="!bulkMode"   class=" uk-animation uk-float-right">
+                <a   title= "Switch to Bulk mode"   (click)="bulkMode = !bulkMode;"><i  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></i></a>
+                <span   title= "Search mode"> <span class="uk-icon">
+                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
+                    </span></span>
+              </span>
+              </div>
+              <claim-result-search-form *ngIf="!bulkMode"  [selectedResults]="results"   > </claim-result-search-form>
+              <bulk-claim  *ngIf="bulkMode" [results]="results" > </bulk-claim>
+            </div>
+        </div>
+        <div *ngIf="step==3" class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l">
+          <claim-selected-results   title= "Selected Research Results" [results]="results"  [bulkMode]="bulkMode" showSearch = false  showAccessRights = true>
+          </claim-selected-results>
+        </div>
+
+
+
+        <ul class="uk-pagination">
+            <li  *ngIf="step !=1 " (click)="step=step-1;"><a><span class="uk-margin-small-right" uk-pagination-previous></span> Previous</a></li>
+            <!--li *ngIf="show != 'claim' && this.results.length > 0 " (click)="canProceedToMetadata()"  class="uk-margin-auto-left"><a> Review Metadata <span class="uk-margin-small-left" uk-pagination-next></span></a></li-->
+            <li  *ngIf="step !=3 " (click)="step=step + 1;"  class="uk-margin-auto-left">
+              <a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a>
+            </li>
+            <li  *ngIf=" step == 3  " (click)="next()"  class="uk-margin-auto-left uk-width-1-1">
+            <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [show] = "show"
+              (showChange)="showChange($event)" ></claim-insert>
+
+            </li>
+        </ul>
+      </div>
+      <helper position="right" styleName=" uk-width-1-5"></helper>
+    </div>
+    <helper position="bottom"></helper>
+
+
+
+</div>
+
+</div>
+</div>
+</div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts	(revision 49152)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/linkingGeneric.component.ts	(revision 49153)
@@ -10,153 +10,8 @@
 
 @Component({
     selector: 'linking-generic',
-    template: `
-    <div id="tm-main" class=" uk-section  uk-margin-small-top tm-middle"   >
-      <div uk-grid uk-grid>
-       <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">
+    templateUrl: 'linkingGeneric.component.html'
 
-    <div class="uk-container uk-margin-top">
-    <div class="uk-article-title">
-        Link
-    </div>
-
-    <div class="uk-width-1-1">
-      <helper position="top"></helper>
-    </div>
-    <div class="uk-grid  helper-grid">
-      <helper position="left" styleName=" uk-width-1-5 uk-padding-left"></helper>
-      <div class="uk-width-expand">
-
-          <ul class="uk-breadcrumb">
-              <li  [class]="(step==1)?'uk-active':''" ><a (click)="step=1;"><span class="step uk-text-large">1</span> Select Projects <span  >or  Communities <span ></span></span></a></li>
-               <li [class]="(step==2)?'uk-active':''" ><a  (click)="step=2;"><span class="step uk-text-large">2</span> Select Research Results <span ></span></a></li>
-              <li [class]="(step==3)?'uk-active':''" (click)="step=3;"><a [class]="(results.length == 0)?'uk-disabled':''"  (click)="show='claim';" ><span class="step uk-text-large">3</span> Review metadata</a></li>
-          </ul>
-          <!--start-over [results]="results" [contexts]="contexts" [projects]="projects" ></start-over-->
-          <div class="uk-clearfix">
-              <a  class="uk-float-right" uk-toggle="target: #selected; animation:  uk-animation-fade">
-                <span class="uk-icon"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="my-box"  x="0px" y="0px" width="28px" height="28px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve"><g>	<path d="M480,320v128H32V320h78.859l64.016,96h162.25l64-96H480 M384,32H128L0,288v192h512V288L384,32L384,32z M35.781,288l112-224   h216.438l112,224H384l-64,96H192l-64.016-96H35.781L35.781,288z" fill="#b5b5b5"/></g>
-                    </svg>
-                  </span>
-
-                 </a>
-          </div>
-          <div id="selected" class="uk-card uk-card-default uk-card-body uk-margin-small" hidden>
-          <!--Close Button -->
-            <!--div class="uk-clearfix">
-             <a uk-toggle="target: #selected; animation:  uk-animation-fade" class="uk-float-right">
-                <span class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="close" ratio="1"><path fill="none" stroke="#000" stroke-width="1.06" d="M16,16 L4,4"></path><path fill="none" stroke="#000" stroke-width="1.06" d="M16,4 L4,16"></path></svg>
-            </span></a>
-          </div-->
-
-
-              <claim-selected-projects   title="link Projects" [projects]="projects" [show]="show" [linkType]=linkType
-                (showChange)="showChange($event)"   > </claim-selected-projects>
-
-             <claim-selected-contexts  title="link Communities" [contexts]="contexts"  [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult" [show]="show" [linkType]=linkType
-             (showChange)="showChange($event)"  > </claim-selected-contexts>
-             <claim-selected-results *ngIf="step!=3"  title= "Selected Research Results" [results]="results"  [bulkMode]="bulkMode" showSearch=false  showAccessRights=false>
-             </claim-selected-results>
-         </div>
-
-
-
-            <!--ul class="uk-pagination uk-margin-remove-bottom">
-                <li  *ngIf="show != 'result' " (click)="prev()"><a><span class="uk-margin-small-right" uk-pagination-previous></span> Previous</a></li>
-                <li *ngIf="show != 'claim' " (click)="next()"  class="uk-margin-auto-left"><a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a></li>
-                <li  *ngIf="show == 'claim' " (click)="next()"  class="uk-margin-auto-left">
-                <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [show] = "show"
-                  (showChange)="showChange($event)" ></claim-insert>
-
-                </li>
-            </ul-->
-
-            <!-- link with Projects & Contexts -->
-                    <!--div class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l uk-grid">
-                       <div class="uk-width-1-1@s uk-width-1-2@m uk-width-1-2@l uk-width-1-2@xl "-->
-                    <div *ngIf="step==1">
-                       <ul class=" uk-tab " uk-tab="connect: #tabs; animation: uk-animation-fade">
-                               <li>
-                                  <a>Projects ({{projects.length}})</a>
-                              </li>
-                              <li>
-                                 <a>Communities ({{contexts.length}})</a>
-                             </li>
-                        </ul>
-                        <ul id="tabs" class="uk-switcher uk-margin-left uk-width-1-1">
-                          <li>
-                               <!--claim-selected-projects   title="link Projects" [projects]="projects" [show]="show" [linkType]=linkType
-                                 (showChange)="showChange($event)"   > </claim-selected-projects-->
-                                   <claim-projects-search-form     [(selectedProjects)]="projects"    > </claim-projects-search-form>
-                         </li>
-                          <li>
-                              <!--claim-selected-contexts  title="link Communities" [contexts]="contexts"  [projects]="projects"  [results]="results" [inlineEntity] = "inlineResult" [show]="show" [linkType]=linkType
-                              (showChange)="showChange($event)"  > </claim-selected-contexts-->
-                              <claim-contexts-search-form    [(selectedList)]="contexts" [projects]="projects" [results]="results" [inlineEntity]="inlineResult" > </claim-contexts-search-form>
-                          </li>
-                      <!--/div>
-                      <div class="uk-width-1-1@s uk-width-1-2@m uk-width-1-2@l uk-width-1-2@xl "-->
-
-                  </ul>
-                </div>
-                      <!--/div-->
-                    <!--/div-->
-            <!--hr-->
-            <!-- Research Results -->
-
-            <div *ngIf="step==2 ">
-                <div  class="uk-width-1-1     ">
-                  <div class=" uk-padding-small uk-padding-remove-bottom  uk-panel uk-background-muted ">
-                  <span *ngIf="bulkMode"   class=" uk-animation uk-float-right">
-                    <span   title= "Bulk mode"><i  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></i></span>
-                    <a   title= "Switch to Search mode"  (click)="bulkMode = !bulkMode;"> <span class="uk-icon">
-                        <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
-                        </span></a>
-                  </span>
-                  <span *ngIf="!bulkMode"   class=" uk-animation uk-float-right">
-                    <a   title= "Switch to Bulk mode"   (click)="bulkMode = !bulkMode;"><i  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></i></a>
-                    <span   title= "Search mode"> <span class="uk-icon">
-                        <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
-                        </span></span>
-                  </span>
-                  </div>
-                  <claim-result-search-form *ngIf="!bulkMode"  [selectedResults]="results"   > </claim-result-search-form>
-                  <bulk-claim  *ngIf="bulkMode" [results]="results" > </bulk-claim>
-                </div>
-            </div>
-            <div *ngIf="step==3" class="uk-width-1-1@s uk-width-1-1@m uk-width-1-1@l">
-              <claim-selected-results   title= "Selected Research Results" [results]="results"  [bulkMode]="bulkMode" showSearch = false  showAccessRights = true>
-              </claim-selected-results>
-            </div>
-
-
-
-            <ul class="uk-pagination">
-                <li  *ngIf="step !=1 " (click)="step=step-1;"><a><span class="uk-margin-small-right" uk-pagination-previous></span> Previous</a></li>
-                <!--li *ngIf="show != 'claim' && this.results.length > 0 " (click)="canProceedToMetadata()"  class="uk-margin-auto-left"><a> Review Metadata <span class="uk-margin-small-left" uk-pagination-next></span></a></li-->
-                <li  *ngIf="step !=3 " (click)="step=step + 1;"  class="uk-margin-auto-left">
-                  <a>Next <span class="uk-margin-small-left" uk-pagination-next></span></a>
-                </li>
-                <li  *ngIf=" step == 3  " (click)="next()"  class="uk-margin-auto-left uk-width-1-1">
-                <claim-insert   [contexts]="contexts" [results]="results"  [projects]="projects" [show] = "show"
-                  (showChange)="showChange($event)" ></claim-insert>
-
-                </li>
-            </ul>
-          </div>
-          <helper position="right" styleName=" uk-width-1-5"></helper>
-        </div>
-        <helper position="bottom"></helper>
-
-
-
- </div>
-
- </div>
-</div>
-</div>
-`
-
 })
 export class LinkingGenericComponent {
 
